//
//  YHConfigManager.swift
//  galaxy
//
//  Created by davidhuangA on 2024/4/11.
//  Copyright © 2024 https://www.galaxy-immi.com. All rights reserved.
//

import UIKit

class YHConfigManager: NSObject {
    static let shared = YHConfigManager()
    
    lazy var reqVM: YHHomePageViewModel = {
        let vm = YHHomePageViewModel()
        return vm
    }()
    
    private var loadNewDataFlag : Bool = false
    
    private override init() {
        super.init()
    }
    
    var h5Url : String {
        return reqVM.configModel?.article_h5_url ?? ""
    }
}

extension YHConfigManager {
    func loadConfigData() {
        reqVM.getHomeConfig { flag, error in
            if flag {
                self.loadNewDataFlag = true
            }
        }
    }
}
